; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Run nav fixes script
; --- Fix 1: Fixes jesus spot on coaster fence by the first ramp
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "director,RunScriptFile,nav_fixes/c2m3_coaster_navfixes,20,-1"
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================

; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
add:
; --- Add a fireaxe at the start of the coaster
{
	"classname" "weapon_melee_spawn"
	"origin" "-2563 2383 1"
	"angles" "0 300 -90"
	"melee_weapon" "fireaxe"
	"spawn_without_director" "1"
	"solid" "0"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "1"
}
; --- Add a potential pill spawn by the ladder before the coaster drop
{
	"classname" "weapon_pain_pills_spawn"
	"origin" "-2461 1197 3"
	"angles" "0 0 0"
}
; --- Add a potential pill spawn after the coaster drop
{
	"classname" "weapon_pain_pills_spawn"
	"origin" "-3560 1311 1"
	"angles" "0 0 0"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
; --- Add an ammo pile by the second tunnel of love painting
add:
{
	"classname" "weapon_ammo_spawn"
	"origin" "3125 2939 -8"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
modify:
; --- Make the ammo pile in the pill room always spawn
{
	match:
	{
		"hammerid" "349144"
	}
	insert:
	{
		"spawnflags" "2"
	}
}
; --- Fix the coaster ammo pile that's too far in the floor
{
	match:
	{
		"hammerid" "644886"
	}
	replace:
	{
		"origin" "-3557 1274 0"
	}
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block standing on the saferoom door
{
	"classname" "env_physics_blocker"
	"origin" "3857 2048 112"
	"mins" "-0.5 -128 -48"
	"maxs" "0.5 128 48"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block getting on the hanging fence in the tunnel of love
{
	"classname" "env_physics_blocker"
	"origin" "1673 3311 134"
	"angles" "-15 -15 0"
	"mins" "-65 -60 -45"
	"maxs" "65 60 45"
	"boxmins" "-65 -60 -45"
	"boxmaxs" "65 60 45"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the water tank in the swan room
{
	"classname" "env_physics_blocker"
	"origin" "676 4842 219"
	"mins" "-27 -23 -101"
	"maxs" "27 23 101"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block a high tickrate jump in the swan room
{
	"classname" "env_physics_blocker"
	"origin" "224 4655 99"
	"mins" "-33 -18 -8"
	"maxs" "33 18 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block survivors standing on the top of the shelves after the swan room
{
	"classname" "env_physics_blocker"
	"origin" "-594 4287 208"
	"mins" "-36 -175 -80"
	"maxs" "36 175 80"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors standing on the shelves at the tunnel of love exit
{
	"classname" "env_physics_blocker"
	"origin" "-664 2015 96"
	"mins" "-77 -33 -96"
	"maxs" "77 33 96"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the rolling doors before the coaster
{
	"classname" "env_physics_blocker"
	"origin" "-780 1921 568"
	"mins" "-12 -69 -392"
	"maxs" "12 69 392"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-780 1219 568"
	"mins" "-12 -69 -392"
	"maxs" "12 69 392"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1013 898 568"
	"mins" "-12 -69 -392"
	"maxs" "12 69 392"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1804 1219 568"
	"mins" "-12 -69 -392"
	"maxs" "12 69 392"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1269 2178 568"
	"mins" "-12 -69 -392"
	"maxs" "12 69 392"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1269 2434 568"
	"mins" "-12 -69 -392"
	"maxs" "12 69 392"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the shipping container by the tunnel of love exit
{
	"classname" "env_physics_blocker"
	"origin" "-896 2241 560"
	"mins" " -68 -197 -400"
	"maxs" "68 197 400"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block the shipping container by the pill room
{
	"classname" "env_physics_blocker"
	"origin" "-1584 1616 560"
	"mins" "-197 -68 -400"
	"maxs" "197 68 400"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on some roof trimming before the coaster
{
	"classname" "env_physics_blocker"
	"origin" "-1926 2428 561"
	"mins" "-126 -128 -400"
	"maxs" "126 128 400"
	"initialstate" "1"
	"BlockType" "1"
}
; --- COASTER EXPLOITS
; --- Block roof by event start button to prevent
{
	"classname" "env_physics_blocker"
	"origin" "-2869 1696 225"
	"mins" "-3 -64 -80"
	"maxs" "3 64 80"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "coaster_button_block"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2786 1800 937"
	"mins" "-90 -40 -791.5"
	"maxs" "90 40 791.5"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "coaster_button_block"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2559 1794 937"
	"mins" "-137.5 -1 -791.5"
	"maxs" "137.5 1 791.5"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "coaster_button_block"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2422 1859 937"
	"mins" "-1 -64 -791.5"
	"maxs" "1 64 791.5"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "coaster_button_block"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3053 1820 617"
	"angles" "0 45 0"
	"mins" "-5 -25 -343.5"
	"maxs" "5 25 343.5"
	"boxmins" "-5 -25 -343.5"
	"boxmaxs" "5 25 343.5"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "coaster_button_block"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2996 1791 617"
	"angles" "0 70 0"
	"mins" "-5 -50 -343.5"
	"maxs" "5 50 343.5"
	"boxmins" "-5 -50 -343.5"
	"boxmaxs" "5 50 343.5"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "coaster_button_block"
}
; --- Create a trigger to remove the block when survivors progress through the coaster
{
	"classname" "trigger_once"
	"origin" "-2974 1708 385"
	"model" "*151"
	"StartDisabled" "0"
	"spawnflags" "1"
	"filtername" "survivor_filter"
	"targetname" "coaster_button_block_trigger"
	"OnStartTouch" "coaster_button_block,Kill,,0,-1"
}
; --- Block climbing coaster supports to skip starting the event
{
	"classname" "env_physics_blocker"
	"origin" "-2787 2606 129"
	"mins" "-114 -8 -129"
	"maxs" "114 8 129"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2856 2920 129"
	"angles" "0 45 0"
	"mins" "-120 -10 -129"
	"maxs" "120 10 129"
	"boxmins" "-120 -10 -129"
	"boxmaxs" "120 10 129"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2907 2677 192"
	"mins" "-5 -72.5 -66"
	"maxs" "5 72.5 66"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block skipping the first ramp by jumping from the fences, replacing Valve's blockers to allow more movement
{
	"classname" "env_physics_blocker"
	"origin" "-2865 1909 928"
	"mins" "-4 -56 -800"
	"maxs" "4 56 800"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2699 1967 928"
	"mins" "-4 -4 -800"
	"maxs" "4 4 800"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Non-solid poles to indicate where clips are
{
	"classname" "prop_dynamic"
	"origin" "-2699 1967 -76"
	"angles" "0 0 0"
	"model" "models/props_urban/metal_pole001.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2865 1961 -76"
	"angles" "0 0 0"
	"model" "models/props_urban/metal_pole001.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2865 1857 -76"
	"angles" "0 0 0"
	"model" "models/props_urban/metal_pole001.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Block climbing on the railings at the top of the first ramp
{
	"classname" "env_physics_blocker"
	"origin" "-2715 2605 1152"
	"mins" "-4 -150 -576"
	"maxs" "4 150 576"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2853 2605 1152"
	"mins" "-4 -150 -576"
	"maxs" "4 150 576"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on the steep incline ramp to the left of the one way drop ramp
{
	"classname" "env_physics_blocker"
	"origin" "-3904 1004 544"
	"mins" "-80 -140 -416"
	"maxs" "80 140 416"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3904 776 606"
	"mins" "-80 -88 -354"
	"maxs" "80 88 354"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3904 808 206"
	"mins" "-80 -56 -46"
	"maxs" "80 56 46"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on the barrier by the steep incline ramp left of the one way drop ramp
{
	"classname" "env_physics_blocker"
	"origin" "-3793 1100 574"
	"mins" "-31 -36 -386"
	"maxs" "31 36 386"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3746 1138 240"
	"mins" "-34 -2 -80"
	"maxs" "34 2 80"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block potentially climbing up the final part of the coaster track by the button
{
	"classname" "env_physics_blocker"
	"origin" "-3960 1976 64"
	"mins" "-10 -10 -64"
	"maxs" "10 10 64"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on an outside section of the coaster before the tunnel
{
	"classname" "env_physics_blocker"
	"origin" "-3510 2673 636"
	"mins" "-8 -223 -324"
	"maxs" "8 223 324"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on the hedge corner at the tunnel exit
{
	"classname" "env_physics_blocker"
	"origin" "-4176 2790 556"
	"angles" "0 42 0"
	"mins" "-75 -10 -404"
	"maxs" "75 10 404"
	"boxmins" "-75 -10 -404"
	"boxmaxs" "75 10 404"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping on a shrub by the end saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-4916 2343 562"
	"mins" "-1147 -24 -392"
	"maxs" "114 24 392"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4839 2291 562"
	"angles" "0 50 0"
	"mins" "-46 -12 -392"
	"maxs" "46 12 392"
	"boxmins" "-46 -12 -392"
	"boxmaxs" "46 12 392"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4971 2227 562"
	"angles" "0 20 0"
	"mins" "-110 -12 -392"
	"maxs" "110 12 392"
	"boxmins" "-110 -12 -392"
	"boxmaxs" "110 12 392"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the hedge and infected ladder by the end saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-4925 1887 543"
	"mins" "-21 -123 -417"
	"maxs" "21 123 417"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block a stuck spot before the coaster one way drop, between some hedges and support beams
{
	"classname" "env_physics_blocker"
	"origin" "-2969 340 75"
	"mins" "-33 -66.5 -75"
	"maxs" "33 66.5 75"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block a stuck spot for survivors by the 2nd screaming oak sign before the one way drop
{
	"classname" "env_physics_blocker"
	"origin" "-2939 -44 544"
	"mins" "-21 -92 -416"
	"maxs" "21 92 416"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block a stuck spot for infected by the 2nd screaming oak sign before the one way drop
{
	"classname" "env_physics_blocker"
	"origin" "-2926 11 232"
	"mins" "-1 -1 -25"
	"maxs" "1 1 25"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Block a stuck spot under the barrier by the event button
{
	"classname" "env_physics_blocker"
	"origin" "-3788 1100 83"
	"mins" "-20 -36 -45"
	"maxs" "20 36 45"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Improve clipping inside swans
{
	"classname" "env_physics_blocker"
	"origin" "2801 1639 -19"
	"angles" "0 195 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2343 1641 -19"
	"angles" "0 165 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2136 1740 -19"
	"angles" "0 120 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2025 1931 -19"
	"angles" "0 105 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1165 4083 -19"
	"angles" "0 75 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "382 4530 -19"
	"angles" "0 345 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "660 4185 8"
	"angles" "0 345 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "224 4495 110"
	"mins" "-22.5 -30 -8"
	"maxs" "22.5 30 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "224 4626 110"
	"mins" "-22.5 -30 -8"
	"maxs" "22.5 30 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "371 3761 -3"
	"angles" "1.16572 219.599 -9.54061"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-142 1371 -22"
	"angles" "0 225 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Improved clipping around swans so players dont get stuck
; --- Swan 1
{
	"classname" "env_physics_blocker"
	"origin" "2801 1693 -17"
	"mins" "-24 -29 -6"
	"maxs" "24 29 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2801 1693 -27"
	"mins" "-26 -29 -4"
	"maxs" "26 29 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2806 1586 -17"
	"mins" "-20 -29 -6"
	"maxs" "20 29 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2806 1586 -27"
	"mins" "-22 -29 -4"
	"maxs" "22 29 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Swan 2
{
	"classname" "env_physics_blocker"
	"origin" "2355 1606 -17"
	"mins" "-18 -12 -6"
	"maxs" "18 12 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2355 1605 -27"
	"mins" "-20 -13 -4"
	"maxs" "20 13 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2358 1675 -17"
	"mins" "-23 -12 -6"
	"maxs" "23 12 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2361 1676 -27"
	"mins" "-28 -13 -4"
	"maxs" "28 13 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2363 1676 -35"
	"mins" "-28 -15 -4"
	"maxs" "28 15 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2305 1556 -19"
	"mins" "-2 -12 -5"
	"maxs" "2 12 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2302 1551 -16"
	"mins" "-2 -7 -8"
	"maxs" "2 7 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Swan 3
{
	"classname" "env_physics_blocker"
	"origin" "2097 1725 -17"
	"mins" "-23 -27 -6"
	"maxs" "23 27 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2097 1725 -27"
	"mins" "-25 -29 -4"
	"maxs" "25 29 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2166 1768 -17"
	"mins" "-23 -27 -6"
	"maxs" "23 27 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2166 1768 -27"
	"mins" "-25 -29 -4"
	"maxs" "25 29 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2166 1768 -35"
	"mins" "-27 -31 -4"
	"maxs" "27 31 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Swan 4
{
	"classname" "env_physics_blocker"
	"origin" "1976 1929 -17"
	"mins" "-23 -27 -6"
	"maxs" "23 27 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1976 1929 -27"
	"mins" "-25 -29 -4"
	"maxs" "25 29 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2080 1946 -17"
	"mins" "-23 -27 -6"
	"maxs" "23 27 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2080 1946 -27"
	"mins" "-25 -29 -4"
	"maxs" "25 29 4"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2080 1946 -35"
	"mins" "-27 -31 -4"
	"maxs" "27 31 4"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Head of swan in swan room by warehouse shelves
{
	"classname" "env_physics_blocker"
	"origin" "547 4104 104"
	"mins" "-25 -32 -6.5"
	"maxs" "25 32 6.5"
	"initialstate" "1"
	"BlockType" "0"
}
; --- One way drop swan
{
	"classname" "env_physics_blocker"
	"origin" "396 3821 8"
	"mins" "-32 -31 -6"
	"maxs" "32 31 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "396 3821 -3"
	"mins" "-34 -33 -5"
	"maxs" "34 33 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "409 3757 -1"
	"mins" "-8 -9 -6"
	"maxs" "8 9 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "409 3757 -13"
	"mins" "-9 -10 -6"
	"maxs" "9 10 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "409 3757 -25"
	"mins" "-10 -11 -6"
	"maxs" "10 11 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "401 3737 -22"
	"mins" "-9 -10 -6"
	"maxs" "9 10 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "401 3737 -34"
	"mins" "-10 -11 -6"
	"maxs" "10 11 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clip debris from broken ceiling in tunnel of love
{
	"classname" "env_physics_blocker"
	"origin" "2163 3248 -16"
	"mins" "-15 -9.5 -3"
	"maxs" "15 9.5 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2183 3285 -17"
	"mins" "-16.5 -12.5 -2"
	"maxs" "16.5 12.5 2"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Improve clipping on ramp after coaster to stop players getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "-3579 1774 163"
	"mins" "-41.5 -4 -3"
	"maxs" "41.5 4 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-3579 2270 271"
	"mins" "-41.5 -4 -3"
	"maxs" "41.5 4 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4732 2274 166"
	"mins" "-41.5 -4 -3"
	"maxs" "41.5 4 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4732 1778 58"
	"mins" "-41.5 -4 -3"
	"maxs" "41.5 4 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4185 2318 274"
	"mins" "-4 -41.5 -3"
	"maxs" "4 41.5 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-4682 2319 168"
	"mins" "-4 -41.5 -3"
	"maxs" "4 41.5 3"
	"initialstate" "1"
	"BlockType" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Physics prop trash bins by the saferoom for some extra, but preventable, spawns
{
	"classname" "prop_physics"
	"origin" "2652 2269 -7"
	"angles" "0 270 0"
	"model" "models/props_street/trashbin01.mdl"
	"solid" "6"
	"spawnflags" "8"
}
{
	"classname" "prop_physics"
	"origin" "2684 2271 13"
	"angles" "0 270 0"
	"model" "models/props_junk/trashbin01a.mdl"
	"solid" "6"
	"spawnflags" "8"
}

; =====================================================
; ==                   LADDER NERF                   ==
; ==         Nerf ladder attacks for infected        ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove Valve's commentary blockers so we can replace them with our own
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "env_player_blocker,Kill,,15,-1"
}
; --- Re-add Valve's blockers copied directly from c2m3_coaster_commentary.txt, excluding the ones we don't want
; --- Block climbing coaster to skip starting the event
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "200 4 128"
	"mins" "0 0 0"
	"origin" "-2887 2609.01 121.607"
	"mapupdate" "1"
}
; --- Block skipping the coaster at the top of the first ramp
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "8 188 256"
	"mins" "0 0 -64"
	"origin" "-3350.76 2608.73 444"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "8 292 256"
	"mins" "0 0 0"
	"origin" "-2854.76 2456.73 444"
	"mapupdate" "1"
}
; --- Block jumping on the fences to skip the first ramp - REMOVED
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "8 256 512"
;	"mins" "-4 0 0"
;	"origin" "-2868 1844 122.859"
;	"mapupdate" "1"
;}
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "8 256 512"
;	"mins" "-4 0 0"
;	"origin" "-2700 1964 122.859"
;	"mapupdate" "1"
;}
; --- Block climbing the coaster supports before the tunnel
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "8 350 512"
	"mins" "0 0 0"
	"origin" "-3540.08 2368 128"
	"mapupdate" "1"
}
; --- Block jumping across the hedge at the end
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "132 290 512"
	"mins" "0 0 0"
	"origin" "-4223.74 1980 150"
	"mapupdate" "1"
}
; --- Blocks players climbing into the shelved swan in swan maintenance
{
	"id" "1664530"
	"classname" "env_physics_blocker"
	"BlockType" "0"
	"initialstate" "1"
	"maxs" "48 8 88"
	"mins" "-8 -108  -8"
	"origin" "204 4528 0"
	"mapupdate" "1"
}
; --- Blocks survivors mounting the white truck near the coaster, which was causing some issues with clip brushes
{
	"id" "1672624"
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "84 8 953"
	"mins" "-8 -100 -8"
	"origin" "-1364 2040 7"
	"mapupdate" "1"
}
{
	"id" "1672705"
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "228 8 800"
	"mins" "-8 -113 -8"
	"origin" "-1600 2040 159"
	"mapupdate" "1"
}
; --- Blocks alternate route to skip the coaster panic start
{
	"id" "1674306"
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "2 112 40"
	"mins" "-2 -104 -80"
	"origin" "-3030 2988 208"
	"mapupdate" "1"
}
; --- Blocks survivors climbing on electric box props near the coaster start
{
	"id" "1664414"
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "8 8 196"
	"mins" "-8 -56 -8"
	"origin" "-2056 2624 8"
	"mapupdate" "1"
}
{
	"id" "1664516"
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "8 8 196"
	"mins" "-8 -56 -16"
	"origin" "-776 1724 16"
	"mapupdate" "1"
}
{
	"id" "1664549"
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "8 8 196"
	"mins" "-56 -8 -34"
	"origin" "-1124 1032 36"
	"mapupdate" "1"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================
; --- Remove collision, damage and push triggers from coaster cars
modify:
{
	match:
	{
		"model" "models/props_fairgrounds/coaster_car01.mdl"
	}
	replace:
	{
		"solid" "0"
	}
}
filter:
{
	"targetname" "coaster_damage_1"
}
{
	"targetname" "coaster_damage_2"
}
{
	"targetname" "coaster_damage_3"
}
{
	"targetname" "coaster_damage_4"
}


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
; --- Fix a broken ladder on the building by the 2nd coaster ramp
modify:
{
	match:
	{
		"hammerid" "302909"
	}
	insert:
	{
		"origin" "0 -1 0"
	}
}
add:
; --- Infected ladder to get on the shipping container outside the tunnel of love
{
	"classname" "func_simpleladder"
	"origin" "581 3448 -34"
	"angles" "0 90 0"
	"model" "*51"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to stop players becoming permanently stuck behind a building by the coaster
{
	"classname" "func_simpleladder"
	"origin" "-1027 -506 0"
	"angles" "0 0 0"
	"model" "*49"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==             STARTING SAFEROOM REWORK            ==
; ==          Rework starting saferoom props         ==
; =====================================================
add:
; --- Railings by the door
{
	"classname" "prop_dynamic"
	"origin" "3919 1998 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4015 1998 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4049 1998 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing_post001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "3919 2092 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4015 2092 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4049 2092 -64"
	"angles" "0 270 0"
	"model" "models/props_urban/wood_railing_post001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Plants by the door
{
	"classname" "prop_dynamic"
	"origin" "3940 1956 -64"
	"angles" "0 5.5 0"
	"model" "models/props_foliage/urban_pot_bigplant01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "3944 2136 -57"
	"angles" "0 75.5 -75"
	"model" "models/props_foliage/urban_pot_bigplant01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Tunnel of Love heart
{
	"classname" "prop_dynamic"
	"origin" "4305 2048 68"
	"angles" "0 0 0"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4304 2048 -128"
	"angles" "0 180 -180"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "tol_heart_lighting"
}
; --- Fix lighting origin
{
	"classname" "info_target"
	"origin" "4305 2048 68"
	"targetname" "tol_heart_lighting"
}
; --- Swans
{
	"classname" "prop_dynamic"
	"origin" "4481 2123 -64"
	"angles" "0 145 0"
	"model" "models/props_fairgrounds/swan_boat.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4490 1926 -11"
	"angles" "79 90 0"
	"model" "models/props_fairgrounds/swan_boat.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping inside swan
{
	"classname" "env_physics_blocker"
	"origin" "4494 2115 -44"
	"angles" "0 145 0"
	"mins" "-30 -22.5 -8"
	"maxs" "30 22.5 8"
	"boxmins" "-30 -22.5 -8"
	"boxmaxs" "30 22.5 8"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Fences
{
	"classname" "prop_dynamic"
	"origin" "4595 2046 -64"
	"angles" "0 184.5 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4594 2076 0"
	"angles" "-12.5 185.5 -90"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
; --- Fix the line post placements
; --- For some unknown reason, they are impossible to change individually without removing all of them - this code does not work
modify:
{
	match:
	{
		"hammerid" "556668"
	}
	replace:
	{
		"origin" "4424 2104 -64"
	}
}
{
	match:
	{
		"hammerid" "556664"
	}
	replace:
	{
		"origin" "4424 2000 -64"
	}
}
filter:
{
	"hammerid" "556684"
}
{
	"hammerid" "556621"
}

; =====================================================
; ==               C2M4 SAFEROOM REWORK              ==
; ==        Props from reworked c2m4 saferoom        ==
; =====================================================
add:
; --- Table by the guns
{
	"classname" "prop_dynamic"
	"origin" "-5483 1802 4"
	"angles" "0 0 0"
	"model" "models/props_interiors/table_folding.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Pistol spawn on the table
{
	"classname" "weapon_spawn"
	"origin" "-5480 1795 35"
	"angles" "0 105 -90"
	"weapon_selection" "weapon_pistol"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Garbage by the door
{
	"classname" "prop_dynamic"
	"origin" "-5495 1563 4"
	"angles" "0 90 0"
	"model" "models/props_urban/garbage_can002.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5321 1339 10"
	"angles" "0 90 0"
	"model" "models/props_junk/trashcluster01a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Boxes and fences in the corner
{
	"classname" "prop_dynamic"
	"origin" "-5078 1869 4"
	"angles" "0 224.5 0"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5024 1869 4"
	"angles" "0 0 0"
	"model" "models/props/de_nuke/crate_small.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5039 1953 4"
	"angles" "0 0 0"
	"model" "models/props/de_nuke/crate_extralarge.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5118 1931 4"
	"angles" "0 176.5 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5104 1933 4"
	"angles" "0 176.5 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
; --- Fences to block the door
{
	"classname" "prop_dynamic"
	"origin" "-5001 1475 4"
	"angles" "0 178.5 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5015 1472 4"
	"angles" "0 180 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5028 1475 4"
	"angles" "0 180 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"skin" "1"
}
; --- Extend the middle railings to the wall
{
	"classname" "prop_dynamic"
	"origin" "-5251.63 1940.39 4.25"
	"angles" "0 180 0"
	"model" "models/props_urban/wood_railing001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "end_railing_lighting"
}
; --- Fix lighting origin
{
	"classname" "info_target"
	"origin" "-5252 1812 4"
	"targetname" "end_railing_lighting"
}

; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================
add:
; ---add chrome and silenced smg in saferoom
{
	"classname" "weapon_spawn"
	"origin" "4258 2162 -63"
	"angles" "0 180 90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "4338 2162 -63"
	"angles" "0 180 90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}